<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * e.g., it puts together the home page when no home.php file exists.
 *
 * Learn more: {@link https://codex.wordpress.org/Template_Hierarchy}
 *
 * @package technerd
 * @since technerd 1.0
 */

get_header(); ?>

<main id="main" class="site-main container" role="main">
	<div class="main-content">
		
		<section class="error-404 not-found">
			
			<h1 class="title-404"><?php _e( 'Bummer, dude! That page can&rsquo;t be found.', 'technerd' ); ?></h1>

			<div class="content-404">
				<p><?php _e( 'Either we screwed up, or you did. (Probably you. Way to go.) Try a search instead!', 'technerd' ); ?></p>

				<?php get_search_form(); ?>
			</div><!-- .entry-content -->
		</section><!-- .error-404 -->		

	</div><!-- .main-content -->

	<div class="right-sidebar">
		<?php get_sidebar(); ?>
	</div><!-- .right-sidebar -->


</main><!-- .site-main -->
	
<?php get_footer(); ?>
