<?php
/**
 * The default template for displaying page content
 *
 * Used for both single and index/archive/search.
 *
 * @package technerd
 * @since technerd 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-top">

		<div class="entry-header">
			<?php
				if ( is_single() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
				endif;
			?>
		</div><!-- .entry-header -->
	</div><!-- .entry-top -->

	<?php if ( has_post_thumbnail() ): ?>
	  <div class="entry-image">
			<?php
				// Post thumbnail.
				the_post_thumbnail( 'post-image' ); 
			?>
		</div>
	<?php endif; ?>

	<div class="entry-content">
		<?php the_content();

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'technerd' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'technerd' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>
	</div><!-- .entry-content -->

</article><!-- #post-## -->