<?php
/**
 * The default template for displaying page content
 *
 * Used for both single and index/archive/search.
 *
 * @package technerd
 * @since technerd 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="entry-top">

		<div class="entry-category">
			<?php the_category(' '); ?>
		</div><!-- .entry-category -->

		<div class="entry-header">
			<?php
				if ( is_single() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
				endif;
			?>
		</div><!-- .entry-header -->

		<div class="entry-meta">
		  Updated <span class="entry-date"><time datetime="<?php echo esc_attr( get_the_date( 'c' ) )?>"><?php echo esc_html( get_the_date() )?></time></span>
		  by <span class="entry-author"><?php echo '<a class="name" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" rel="author">' . get_the_author() . '</a>'; ?></span>
		    - <span class="entry-comments"><?php echo comments_popup_link( 'No comments', ' 1 Comment', ' % Comments', 'meta-element comment-link', ' Comments Disabled' ); ?></span>
		</div><!-- .entry-meta -->

	</div><!-- .entry-top -->

	<?php if ( has_post_thumbnail( 'post-image' ) ): ?>
	  <div class="entry-image">
			<?php
				// Post thumbnail.
				the_post_thumbnail(); 
			?>
		</div>
	<?php endif; ?>

	<div class="entry-excerpt">
		<?php
			// Post Excerpt
			the_excerpt();
		?>

	</div><!-- .entry-content -->

</article><!-- #post-## -->