<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage technerd
 * @since technerd 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" class="clearfix" <?php post_class(); ?>>
	<div class="entry-top">

		<?php if ( is_sticky() ): ?>
			<span class="sticky-message">Sticky</span>
		<?php endif; ?>

		<div class="entry-category">
			<?php the_category( ', ' ); ?>
		</div><!-- .entry-category -->

		<div class="entry-header">
			<?php
				if ( is_single() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
				endif;
			?>
		</div><!-- .entry-header -->

		<div class="entry-meta">
		  <span class="entry-date"><time datetime="<?php echo esc_attr( get_the_date( 'c' ) )?>"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_date('F j, Y'); ?></a></time></span>
		  by <span class="entry-author"><?php echo '<a class="name" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '" rel="author">' . get_the_author() . '</a>'; ?></span>
		    - <span class="entry-comments"><?php echo comments_popup_link( 'No comments', ' 1 Comment', ' % Comments', 'meta-element comment-link', ' Comments Disabled' ); ?></span>
		</div><!-- .entry-meta -->

	</div><!-- .entry-top -->

	<?php if ( has_post_thumbnail() ): ?>
	  <div class="entry-image">
			<?php
				// Post thumbnail.
				the_post_thumbnail( 'featured-image'); 
			?>
		</div>
	<?php endif; ?>

	<div class="entry-content">
		<?php

			/* translators: %s: Name of current post */
			the_content( sprintf(
				__( '<span class="read-more">Read More</span>', 'technerd' ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );

			wp_link_pages( array(
				'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'technerd' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'technerd' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );
		?>

	</div><!-- .entry-content -->

	<div class="entry-tags clearfix">
		<?php the_tags('Tagged with: ', ' '); ?>
	</div><!-- .entry-tags -->

	<?php if ( is_single() && get_the_author_meta('description') ) : ?>
		<div class="entry-author-bio">
			<?php technerd_author_bio(); ?>
		</div><!-- .entry-author-bio -->	
	<?php endif ?>

</article><!-- #post-## -->