<?php
/**
 *
 * The template for displaying the search results
 *
 * @package technerd
 * @since technerd 1.0
 */

get_header(); ?>

<main id="main" class="site-main container" role="main">
	<div class="main-content">
		<?php if ( have_posts() ) : ?>

			<div class="page-header">
				<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'technerd' ), get_search_query() ); ?></h1>
			</div><!-- .page-header -->

			<?php

			// Start the loop.
			while ( have_posts() ) : the_post(); 
		  
				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part('content', 'search' ); 

				if ( comments_open() || '0' != get_comments_number() ) :
					comments_template();
				endif; 

			// End the loop.
	  	endwhile; 

			// Previous/next page navigation.
			the_posts_pagination( array(
				'mid_size' 					 => 2,
				'prev_text'          => __( 'Previous', 'technerd' ),
				'next_text'          => __( 'Next', 'technerd' ),
			) );

	  // If no content, display no posts found message.
		else: 
	  	_e('No posts were found. Sorry!', 'technerd'); 
		endif; ?>
	</div><!-- .main-content -->

	<div class="right-sidebar">
		<?php get_sidebar(); ?>
	</div><!-- .right-sidebar -->


</main><!-- .site-main -->
	
<?php get_footer(); ?>
